### Signal

# Gtk EntryCompletion::insert-prefix

since: 4.0

#### Declaration

    gboolean
    insert_prefix (
      GtkEntryCompletion* self,
      gchar* prefix,
      gpointer user_data
    )

#### Description [src]

Emitted when the inline autocompletion is triggered.

The default behaviour is to make the entry display the whole prefix and select the newly inserted part.

Applications may connect to this signal in order to insert only a smaller part of the `prefix` into the entry - e.g. the entry used in the `GtkFileChooser` inserts only the part of the prefix up to the next ‘/’.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`prefix`

  Type: `gchar*`

  The common prefix of all possible completions.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the signal has been handled.